About this document

 Top Next

Tutorial 2

written by W.Theiss

W. Theiss – Hard- and Software for Optical Spectroscopy

Dr.-Bernhard-Klein-Str. 110, D-52078 Aachen, Germany

Phone: + 49 241 5661390 Fax: + 49 241 9529100

e-mail: theiss@mtheiss.com web: www.mtheiss.com

January 2012

This tutorial shows some advanced examples of SCOUT applications. It is to be used parallel to the SCOUT technical manual which should be consulted for details if necessary.

This text was written using the program Help&Manual (from EC Software). With this software we produce the printed manual as well as the online help and HTML code for internet documents - with exactly the same text input! This is a very productive feature and makes the development of the documentation quite easy. However, for this reason the printed manual sometimes contains some 'strange' text fragments which seem to have no relation to the rest of the text. These might be hypertext jumps in the online help system which - of course - loose there function in the printed version of the manual.


About Tutorial 2

 Top Previous Next

The examples discussed in this tutorial show some advanced features of SCOUT.

Example 1: Effective medium tutorial

·Comparison of different simple effective medium approaches

·Making use of the Bergman representation to describe metal-insulator composite

Example 2: Anisotropic materials, master parameters

·Description of the anisotropic infrared properties of partially oriented molecules

·Control dielectric functions by global master parameters.

Example 3: Photoluminescence spectra

·Step-by-step tutorial demonstrating the fit of PL simulations to measured data


The problem

In this section we show how the effective medium models built into SCOUT are applied. The goal is to describe the optical properties of an inhomogeneous silver layer on glass in the Vis/UV spectral range. The origin of the irregularities is the island growth that occurs during the first stages of silver deposition by sputtering.

Due to the inhomogeneities the silver layer has a response to electric fields which is very different from that of a homogeneous metal. Nevertheless, if the characteristic length scale of the inhomogeneities is much smaller than the light wavelength of the probing radiation, one can treat the material as a macroscopically homogeneous effective medium:

The optical properties of the silver layer can be described by a so-called effective dielectric function which is a suitable average of the dielectric functions of silver and air. But what is the 'suitable' average? The 'averaging rule' should depend on the microgeometry: If the metal islands are very far from each other there is no electric current transport in the system and the effective medium behaves like an insulator. In this case an effective medium theory should favour the vacuum component in the mixing of the two phases to the effective dielectric function. If, on the other hand, the islands would be very close to each other and metallic connections have developed already, the material will appear to the outside as a conducting metal. The effective medium would not be conducting as good as pure silver, but certainly much better than vacuum. Hence the silver dielectric function should have a significant weight in the averaging for this kind of network systems.

As mentioned in the technical manual, the Bergman representation is the most general effective medium theory. The effective dielectric function can always be written in this form:

The averaging of the dielectric functions (we choose vacuum to be the host or matrix material with dielectric function εM and silver as the embedded phase with dielectric function ε) depends on the volume fraction f of the embedded phase and the shape of the function g(n,f). The latter is called spectral density.

The volume fraction is a simple and intuitive quantity. In some cases, it can even be measured or is known from the sample preparation procedure. For a given volume fraction, the remaining question is the proper choice of g(n,f). In contrast to the volume fraction, this quantity cannot be handled intuitively. We need to develop some skills in order to make reasonable assumptions on the shape of spectral densities. This tutorial wants to shine some light on this topic.

From a series of transmission spectra (recorded on sputtered silver layers on glass) we pick those obtained for small deposition times. Here the island growth occurs and we need an effective medium description. The spectra provided with this tutorial as files labeled 0.std, 1.std, 2.std, ... 10.std (all in standard format) are the following:

First we will verify that the assumption of a homogeneous silver layer leads to difficulties for the thinner layers. Then some simple effective medium approaches are tested. Finally a Bergman representation object is used to determine a suitable spectral density which fits the experimental data.

If you think you need to read something about effective medium theories and the Bergman representation you will find some references in the technical manual.


Step 1: Homogeneous silver layers

In this first step we will try if we can reproduce the measured transmission spectra with a model assuming a single homogeneous silver layer on glass. We have already developed such a model in tutorial 1, example 3. To make a quick start, we simply use that model. Load the SCOUT configuration called tu1_ex3_step3.sc2 which you should find in the directory of tutorial 1.

Since we are now dealing with transmission instead of reflection spectra, we have to make a few changes. Open the spectrum list and rename the spectrum that was called 'Reflectance' to 'Transmittance'. Open this spectrum and set the spectrum type to transmittance. The angle of incidence must be changed to 0°. Then select the Recalc command to recompute the model spectrum.

Now we Import (using standard format) the transmission spectrum of the silver layer with 10 s deposition time. The file is called 10.std. The spectral range of the measured data is 1.1 ... 5 eV. Please check the unit in the range dialog that is displayed after the data are imported. It must be eV. Now you are probably warned that the spectral units of measurement and simulation do not match. Change the spectral range of the simulation with the Range command to 1.1 ... 5 eV also. After a proper setting of the graphics parameters you should now have a picture similar to this one:

Now you can start the fit with the Start command in the main window. The only fit parameter is the silver layer thickness. The agreement between simulation and measurement is quite good and the thickness is found to be 12.7 nm:

This nicely confirms the sputtering rate of 1.3 nm/s that was obtained in tutorial 1, example 3.

Now load the spectrum 5.std that contains the transmission spectrum of a sample after 5 s sputtering time. The best fit is this one:

This is still ok with a thickness of 6.5 nm.

With 4.std the first problems arise:

You can easily check that all spectra obtained on samples with sputtering times less than 5 s cannot be described with a model of a homogeneous silver film. In the following we will investigate in particular the 1 s spectrum 1.std. Here the 'best' homogenouse fit is this one:

Save the current program configuration and proceed to the next step.


Step 2: Testing simple effective medium models

Now, since we are convinced that a homogeneous silver layer is not the right choice, we have to do something else. Knowing that we have an inhomogeneous silver-vacuum mixture, we could try some simple averaging formulas that can be found in literature. This section shows how to do that. In the end, however, we will find that all the simple approaches are not flexible enough to lead to a good description of the experimental spectra.

Maxwell Garnett formula

This effective medium approach was developed for very diluted collections of small particles (in dipole approximation). It contains one resonance, namely the dipole resonance, which occurs in the case of low volume fractions if the real part of the silver dielectric function is equal to -2. For higher volume fractions the resonance shifts to smaller frequencies due to electric interactions of the particles. The volume fraction is the only parameter that is used to describe the geometry of the inhomogeneous system.

In the Bergman representation the Maxwell Garnett formula has the following spectral density:

There is just one δ-function (representing the dipole resonance mentioned above) which moves from n=1/3 at f=0 to n=0 at f=1.

Here are the basic steps that you have to do for all effective medium models in SCOUT. Open thematerial list (which by now contains vacuum, silver and glass). Create a new object of type 'Maxwell Garnett model' and call it 'Ag-vacuum MG'. In the treeview this object will have a subbranch called 'Maxwell Garnett effecitve medium formula'. With a right-click on this branch you open the following window:

Three things have to be done: Enter a first guess for the volume fraction, e.g. 0.1, and specify the matrix material and the embedded particle material. The material objects must be dragged from the treeview to the white rectangles which are now still labeled as 'none'. The drag operation can be done the same way as you have already practised in tutorial 1 for the assignment of materials to layers. Push down the left mouse button at the treeview item representing the wanted material. Then move the cursor (while holding the mouse button down) to the white 'landing zone' and release the mouse button. Do that for vacuum as matrix material and silver as embedded particle material:

Now you can open the effective medium object 'Ag-vacuum MG' by a right-click in the treeview. The spectral range of the effective dielectric function should match the range that we need for the transmission spectra. The easiest way is to set it globally in the SCOUT main window. After you have done that (1.1 ... 5 eV with 100 data points) the Maxwell Garnett effective dielectric function is this (press 'a' for automatic scaling of the graph):

Note the sharp and strong resonance at 3.5 eV which is the frequency where the real part of the Ag dielectric function equals -2.

We are ready now to compute the first effective medium transmission spectrum. Drag the effective dielectric function 'Ag-vacuum composite' to the layer which contains still homogeneous silver and recompute the transmission spectrum:

The only parameters in the model that can be optimized are the film thickness and the volume fraction of the Maxwell Garnett model. Select both as fit parameters and use sliders to test the influence of each parameter on the transmision spectrum.

An automatic fit is quickly done and leads to the following 'agreement' of model and experiment:

The thickness is 1.7 nm, the volume fraction 0.66 (which is too high for a reasonable application of the Maxwell Garnett formula). Looking at the spectra, it is obvious that the single resonance of the Maxwell Garnett model is too sharp.

As an exercise you can verify that also the other transmission spectra (2.std, 3.std, 4.std) cannot be fitted well using this simple effective medium theory.

The present configuration is stored as tu2_ex1_step2a.sc2 in the directory of this example.

Bruggeman formula

We can also try the probably most often applied effective medium model, the Bruggeman formula. Frequently this is called the Effective Medium Approxiamtion (EMA) as if it were the only one. This is very misleading. As you see in this tutorial, there are different effective medium concepts which differ in their spectral densities for a given volume fraction.

The spectral densities behind the Bruggeman formula are these:

At low volume fractions the spectral density is just a single peak which rapidly broadens with increasing volume fraction. The broadening is asymmetric. At f=1/3 the left side of the peak reaches n=0. For volume fractions above 1/3 there is a non-zero percolation strength (see the technical manual for an explanation of this term) contained in the Bruggeman formula:

The scenario of the spectral density development with increasing volume fraction is quite reasonable: Isolated particles get closer and closer as the density increases, and finally a connected network is built up. This qualitative behaviour makes the Bruggeman formula a good choice in many cases. However, there is no reason why a real system should exhibit an onset of a network at f=1/3 and why the percolation strength and the spectral density should follow the assumptions displayed above.

It is interesting to note that the original derivation did not assume a real geometric arrangement of the particles, but was based on some plausibility arguments. In particular, the percolation threshold at f=1/3 was not introduced on purpose. In fact, the Bruggeman construction leading to the formula (see the technical manual) did not consider percolation at all.

Let's now test the performance of the Bruggeman formula in the case of the silver layers on glass. Create an object of type 'Bruggeman model' in thematerial list and call it 'Ag-vacuum Bruggeman'. Set the parameters as you did in the case of the Maxwell Garnett formula, i.e. the volume fraction is 0.1, vacuum is the matrix material into which silver particles are embedded. With the main window's Range command you can set the spectral range for all objects that compute spectra, including the new Bruggeman effective dielectric function. This now looks like this:

Compared to the Maxwell Garnett case much broader featues occur. This gives hope for a better agreement of measurement and model. To compute the 'Bruggeman transmission spectrum' the new Bruggeman object has to replace the former Maxwell Garnett entry in the layer stack. Recomputing the transmission spectrum you should find the following:

Adjusting the volume fraction and the film thickness as fit parameters the best result is

This could be considered a little better than the Maxwell Garnett solution but the agreement is far from being satisfying. The simulated absorption feature is now too broad.

After the optimization the volume fraction is 0.14 and a layer thickness of 20 nm is found. This configuration is stored as tu2_ex1_step2b.sc2.

Looyenga formula

Another simple effective medium concept with only the volume fraction as geometry parameter is the so-called Looyenga formula. This is interesting since it contains percolation for any volume fraction. The spectral density is this:

The percolation strength depends on the volume fraction as follows:

The required steps for testing this model should be familiar to you by now: Create the corresponding effective dielectric function object (type: Looyenga model) in the material list. Then open its 'parameter tree branch' and set the parameters appropriately. Set the spectral range and replace the Bruggeman entry in the layer list by the new Looyenga object. Then recalc and optimize the parameters.

Finally I got this:

You could have guessed the result already: The features of the spectral density are even broader than in the Bruggeman case and also the 'absorption feature' in the transmission spectrum is much too broad. Hence we have to conclude that this model is even worse than the previous ones. You can learn from this that you should not use a theory containing a silver network to describe an island film without connections between the silver particles.

This configuration is stored in tu2_ex1_step2c.sc2.

In the next step (applying a flexible model making explicitly use of the Bergman representation) we will achieve a much better agreement of model and measurement.


Step 3: The Bergman representation

Using only the volume fraction as adjustable geometry parameter (as in the Maxwell Garnett, Bruggeman and Looyenga models) is not enough to reproduce the measured transmission spectra of silver island films. We will now use a 'Bergman representation object' to introduce a more flexible parameterization of the spectral density that will lead to more success.

In the material list, create a new object of type 'Bergman representation'. Open the corresponding window. There are now two commands to set parameters. The menu item Parameters|Volume fraction & Percolation shows this dialog:

Here you can assign the materials and type in values for volume fraction and percolation strength. The dialog above already shows the settings that you should do. Since we expect unconnected silver islands the percolation strength should be set to zero.

From this dialog you can switch to a second parameter window by the Show spectral density button. Alternatively you can open this second parameter window with the Parameters|Spectral density command of the 'Ag-vacuum Bergman' object. The spectral density is set in a graphical way:

Please see the technical manual for a description of the basic features of this window, in particular you should read the section about manipulating the definition points. In the following we will practise a little the manipulation of spectral densities.

But first we have to set the spectral range and place the new effective dielectric function in the layer stack. With Update in the main window the following transmission spectrum is calculated:

Now the hard part of the story comes. We will now try - learning by doing - to understand how the choice of the spectral density's shape influences the transmission spectrum. To work conveniently we have to place the main window and the spectral density window on the screen such that we can access and watch both at the same time.

It is important that we control the shape of the spectral density by a reasonable number of definition points - enough, but not too many. In the Points submenu choose Points|Add point and add a few points along the curve of the present spectral density:

Before you do anything else, switch with Points|Move point back to the mode where you can move the definition points with the mouse. Then select Update in the main window and see what transmission spectrum you will get:

We should not forget that the layer thickness is also an adjustable parameter that we do not know beforehand. In the present situation where we have too much absorption in the effective medium layer it would be good to reduce the layer thickness. Select the film thickness as the only fit parameter and optimize it (Start in the main window):

We will now try to lower the frequency position of the absorption minimum by - very carefully - moving the peak in the spectral density to the left. Try to achieve something like this:

The transmittance now is the following:

The minimum has moved in the right direction but not far enough. Try a similar modification, i.e. push the spectral density peak even more to the left:

The agreement of model and measurement is quite good now, at least much better than the best result obtained with the simple one parameter formulas:

We are now in the position to try if SCOUT can do the rest automatically. Select the thickness, the volume fraction and all definition points above n=0 and below n=1 as fit parameters. Note that only the height of a definition point appears as adjustable parameter, the n-value is fixed. Before you start the fit, you should save your configuration. In case something goes wrong, you may want to load this configuration later to go back to the current starting situation.

After a while I arrived at the following status:

Although the fit looks quite good, we cannot accept it because the spectral density curve is negative between 0 and 0.05 . Such a situation may happen if you automatically fit the height of the definition points. Later and more advanced program versions in the future will probably intelligent enough to avoid this error but for now we have to correct the definition points interactively by hand.

Delete all fit parameters in the fit parameter list and add some new points in the range of n where you want to suppress negative values. Place the new points carefully: The overall shape of the spectral density seems to be good already and it would be wise to maintain most of its features.

After adding new points (i.e. changing the spectral density) Update the transmission spectrum frequently to see where you are and what you are doing. When you are confident enough you can start the next automatic fit. Select the thickness, volume fraction and the height of the definition points (skip those at n=0 and n=1) and start the automatic fit once more.

Here I leave you alone for a while and wish you good luck with the spectral density computer game. If you are desparate because by some of your actions you messed up your definition points you should probably start once more with the three default definition points. You can do so by the command Points|Delete all points. Keep on trying, keep on going! Don't forget: You are working at the frontier of effective medium theory application.

After some time I obtained a very good fit which is stored as tu2_ex1_step3.s98. The transmission spectrum is

and the spectral density behaves regularly now:

Note the simple and smooth shape of the curve. With the many parameters that we have fitted (i.e. the heights of the definition points) we have created a very simple spectral density with only one asymmetric peak. But as you have seen above, the transmission spectrum is quite sensitive to the right choice of g(n,f) - not just any peak is successful.


Step 4: Train your skills

Here is some more spectral density training. Load the last configuration (tu2_ex1_step3.sc2) and import the spectrum called 2.std (standard format):

This spectrum was recorded on a sample with a sputtering time of 2 s.

Once more, we do some manual work first: Delete all fit parameters in the fit parameter list and place the main window, the spectral density and the transmission spectrum on the screen. Move up the definition points close to n=0 and see how the transmittance reacts. You will now also increase the height of the definition point at n=0. After some manual work and a subsequent automatic fit I arrived here:

After all this hard work enjoy the next spectrum which can be fitted completely automatic. Load the last configuration and import the spectrum 3.std (standard format, 3 s sputtering time). Just Start the fit without any other modification and watch SCOUT do the work. You'll get this:

The sharp increase of the spectral density at n=0 indicates the building of connections between the islands. We could now start to work with a percolation strength different from 0. However, the value of the percolation strength can be much better investigated in the infrared and we will do that - probably - later in another tutorial.


Introduction

If the production of a technical device requires the deposition of large molecules on a substrate it might be important to know if the orientation of the molecules in the layer is random or if certain directions dominate. In the case of orientation a layer of molecules will eventually exhibit anisotropic optical properties. In such cases the molecular orientation can be determined by optical analysis. Here we show how infrared spectra of such a system can be used to determine orientation angles of the molecules.

We assume that the anisotropy of the sample is of such a kind that the optical constants in the z-direction (perpendicular to the macroscopic plane of the thin film) differ from those in the x- and y-direction (which are the same). The following graph shows two such situations: One of complete orientation where the orientation of all molecules are exactly the same, and one of only partial orientation:

In both cases the optical response in z-direction is different from that in the x- and y-directions. Applying electric fields in different directions and recording the response of the molecules one can reconstruct the average tilt angle of the molecules with respect to the z-axis.

The following steps are discussed in the following:

· Setup of optical constants of the substrate and the anisotropic molecular layer

· Definition of the layer stack and the spectra that are to be simulated

· Controlling the optical constants of the molecules by the tilt angle as master parameter

· Determination of the tilt angle from experimental data


Step 1: Optical constants

In this first step we will define the optical constants that we'll need in the following. As substrate we will use silicon, and the molecules will be described by just one oscillator that represents a vibrational mode.

Substrate

For the silicon substrate we will use optical constants from the database. Start SCOUT and press F7 to switch to the treeview mode. Right-click the treeview branch 'Optical constant database' at the bottom of the treeview:

In the database grid to the right navigate to the item 'Si (infrared)' and drag it to the treeview branch Materials. Right-click Materials and verify that the silicon object arrived in the list of materials:

Molecular layer

For the molecular layer we need two material objects of type 'Dielectric function model': One for the z-direction, one for the response in the x-y-plane. We will use simple models for both.

Create a new material object of type 'Dielectric function model', name it 'Molecules (z)' and open its window by a right-click in the treeview. Open the list of susceptibilities and create an entry of type 'Dielectric background'. Set its real part to 2.3 and take 0.0 as imaginary part. Create a 'Kim oscillator' and reproduce the following settings:

For the x-y-plane we start with a copy of the data in the z-direction. Right-click the new material 'Molecules (z)' in the treeview and save the dielectric function object with its local File|SaveAs menu command for later use. I used the name tu2_ex2_temp.dfm.

Then go back to the list of materials and create a new object of type 'Dielectric function model'. Open this object in the treeview (right-click on 'Dummy name') and load with the local menu command File|Open the data that we save previously. To avoid confusion, rename the new material to 'Molecules (x-y)'.

For the moment, that's all and we can proceed to define the layer stack.

In case you had problems to follow the instructions above you can load the configuration tu2_ex2_step1.sc2 which contains the model developed up to now.


Step 2: Layer stack and spectra

The layer stack that we have to define is very simple: Assuming that the backside of the silicon substrate is rough and that there is no significant contribution from the backside we have just one anisotropic layer of molecules on a 'silicon halfspace'.

Open the list of layer stacks and from there the standard stack that is already there. Drag the silicon optical constants to the bottom halfspace. Then create between the two halfspace objects a new layer of type 'Anisotropic layer'. Click with the right mouse button the column labeled 'See parameters'. The following dialog opens:

Surely you can guess already how to continue: Starting in the treeview, drag the materials that describe the molecular response to the locations labeled 'none'. The dialog should now look like this:

That's all for the layer stack definition. Now open the list of spectra to do the settings that define the simulated infrared spectra.

Change the name of the default spectrum to '20'. Open its window to set the angle of incidence to 20 degrees. Switch from s- to p-polarization.

Then create three additional spectra and name them '40', '60' and '80'. Use these values as angles of incidence. Select p-polarization in all cases.

Now use the Range command in the main window of SCOUT to set the spectral range of all dielectric function models and all spectra to 730 ... 770 1/cm with 50 spectral points. Open all spectra by right-clicking their corresponding treeview items and press the 'a' key to autoscale the graphs. You should get the following spectra:

20°:

40°:

60°:

80°:

In case you had problems to follow the instructions above you can load the configuration tu2_ex2_step2.sc2 which contains the model developed up to now.


Step 3: Tilt angle as master parameter

Up to now the molecular layer has identical optical constants in all directions. It is still isotropic. Introducing molecular orientation with varying tilt angles affects the response both in z-direction and in the x-y-plane. Hence we have to modify two dielectric functions with one parameter. In SCOUT (version 2) you can do that defining the controlling parameter in the global list of master parameters.

Open this list with Object|Master parameters in the main window and create with '+' a new entry. Change the name to 'Theta' and the number of decimals to 1. Note that this time the name must not contain any spaces and mathematical symbols. Just use regular characters.

How do we have to modify the dielectric functions in the various directions with the tilt angle? As indicated in the following sketch the response of a molecule in the z-direction can be described using an oscillator the strength of which depends on tilt angle Θ.

The relation to be used for the oscillator strength in the z-direction is

In the x-y-plane the response is proportional to the squared of sin(Θ). Taking into account that on the average one half of the molecules' vibrations are in the z-x-plane and the other half in the z-y-plane one gets

To implement these relations we can proceed as follows. Open the list of fit parameters from the main window (Objects|fit parameters) and select the oscillator strengths of the vibrational modes in z-direction and in the x-y-plane as fit parameters. Select also the master parameter called 'Theta'. The list should look like the following now:

To enter the formulas that determine the relation between tilt angle and oscillator strength place the cursor to the column called 'Variation' in the first row. Press F4 and start to type in the following text:

80*COS(Theta/180*PI)

In the second row type in this:

80*SQRT(0.5*SQR(SIN(Theta/180*PI)))

Press Update and see that the oscillator strength in the z-direction is 80, that in the x-y-plane vanishes. The dialog is this now:

Set for the fit parameter Theta a low limit of 0 and a high limit of 90, as shown above. Then create a slider and move it. Watch how the oscillator strengths follow as slave parameters the changes of the master parameter Theta.

Note that the oscillator strengths in both directions are equal if the angle is roughly 54°. This is called the magic angle. If all molecules were tilted by this angle you could not see a difference to an isotropic, completely random orientation.

Besides the values of the slave parameters you can also watch how the spectra change with varying tilt angle. This instant update of all quantities with slider movements can instructively teach you where orientation effects show up in the spectra.

In case you had problems to follow the instructions above you can load the configuration tu2_ex2_step3.sc2 which contains the model developed up to now.


Step 4: Determination of tilt angles from experiments

Finally we want to determine orientation angles from experimental data. Using the model developed in the previous three steps we try to 'fit' the angle to reproduce the spectra tu2_ex2_20.spc, tu2_ex2_40.spc, tu2_ex2_60.spc and tu2_ex2_80.spc that are delivered with this tutorial. Although these spectra have been simulated for simplicity you should import them as experimetal data.

We suppose that the thickness of the molecular layer is also unknown and select this quantity as second fit parameter.

The list of fit parameters is now this:

Simply start the automatic fit and find the values 20° and a thickness of 0.65 microns:

The final configuration of this example is found as tu2_ex2_step4.sc2 in the directory of this tutorial.


Introduction

The interpretation of photoluminescence spectra (see the SCOUT manual for a PL introduction) is usually done in a simple and intuitive way. Peaks in measured spectra are discussed as directly reflecting the properties of electronic transitions. The following example of the PL spectrum of a porous silicon layer on a silicon substrate shows a main peak around 740 nm and a pronounced shoulder at 620 nm:

Clearly two electronic transitions are identified by a simple visual inspection.

However, interference phenomena in thin film systems cannot be handled intuitively. They must be treated using a spectrum simulation program like SCOUT in order to avoid misleading interpretations. In the following tutorial it is shown how the PL spectrum shown above can be analyzed on a more solid base taking into account reflection, re-absorption and interference effects.

In a fist step, a standard reflectance spectrum is taken to determine the layer thickness and the optical constants of the luminescent layer. Then a PL spectrum object is created in SCOUT and configured for the present case. Finally, the fit of the internal efficiency is performed leading to more reliable information about the electronic transitions.


Reflectance analysis

In order to get the optical constants and the thickness of the porous silicon layer, a reflectance spectrum in the range 200 ... 1100 nm has been measured and fitted by an optical model. To save time, here only the results of this investigation are discussed shortly. The reflectance fit is contained in the SCOUT configuration tu2_ex3_step0.sc2 and should be loaded into SCOUT. This configuration is the start of the following PL discussion.

The fit looks like this:

Above 400 nm the pronounced interference fringes indicate an almost absorption free porous silicon layer, whereas below 400 nm strong interband transitions lead to significant absorption and an opaque porous silicon. Although porous silicon is a multiphase-composite (a silicon skeleton embedded in air in the simplest approach) it is treated here as a homogeneous material for simplicity. The obtained dielectric function (the model is based on OJL interband transitions) is the following:

The thickness of the porous silicon layer is 1125 nm.

It should be noted that the reflectance fit is not perfect, especially above 800 nm. Here the measured reflectivity is higher than the simulated one. A closer inspection showed that the porous silicon layer is not homogeneous in depth but features a density gradient. To keep this tutorial as simple as possible this effect is ignored in the following.


Configuration of the PL object

Knowing the optical constants and the thickness of the porous silicon layer we can now try to compute a simulated PL spectrum. The corresponding PL spectrum objects are managed in the list of spectra, like reflectance, transmittance or ellipsometry spectra.

Start SCOUT and load the configuration tu2_ex3_step0.sc2 which holds the reflectance fit discussed above. Switch with F7 to the treeview level and open the list of spectra by a treeview right-click on Spectra. In the spectra list, create a new object of type 'PL spectrum': Set the dropdown box showing 'R,T,ATR' to 'PL spectrum' and press the '+' button to the left of the dropdown box. A new object is created and the list should look like this:

Right-click the PL-spectrum object in the treeview (expand the Spectra branch first):

Here we have to set a lot of parameters.

Excitation

In the 'Excitation' section the wavelength of the illuminating radiation and its angle of incidence and polarization must be specified. Take 457 nm, 0° and s-polarization.

Conversion

Here the properties of the PL layer are set. The layer stack is automatically set to the first layer stack in the list of layer stacks (which is the only one in most cases). Click on the small arrows to the right of the text 'Layer' to select the PL active layer in the layer stack. In the present case, there is only one layer possible which is the porous silicon layer, of course. The number of PL sources is set to 10 by default (see the SCOUT manual for an explanation of PL sources). Leave this number as it is for the moment.

The definition of the internal efficiency (see SCOUT helpfile for an explanation) is done in a separate window which opens with the button labeled 'Eff.'. It looks like this:

In this window, use the Range command to set a spectral range of 500 to 1000 nm with 200 points. The internal efficiency can be composed of several terms, e.g. several peaks, which are managed by a list called transitions. Open this list using the Transitions command. The list of transitions is almost identical to the list of susceptibilities which is used in dielectric function models. You can define several oscillators, for example, and their superposition determines the internal efficiency exactly like the imaginary part of the dielectric function. Create a Kim oscillator with parameters as shown in the following:

Up to now, all the oscillator parameters have to be specified in wavenumbers which is not convenient for PL spectra. This will be improved in the future. The value of 13500 1/cm for the resonance frequency of the Kim oscillator will roughly lead to a peak at 740 nm (where the maximum of the measured PL spectrum occurs).

Close the transitions list and compute the internal efficiency by the Recalc command. Press the key 'A' on your keyboard to autoscale the graphics. You should get this picture:

This will be our first approximation for the electronic transitions: one broad peak. You can now close the internal efficiency window.

Emission

Go back to the PL spectrum window and set the final quantities in the 'Emission' section: If you observe the PL radiation on the side from which the excitation is done set the dropdown box below the text 'Emission' to 'Reflectance'. If you observe in transmission, choose 'Transmittance'. Select 'Reflectance' and specify 0° observation angle (the back-scattered radiation has been detected in this case) as well as s-polarization.

Finally, use the Range command to set a spectral range of 540 to 830 nm with 100 points. Now press 'A' to autoscale the graphics and see the following first simulated PL spectrum:

The model developed up to now is stored in the SCOUT configuration file tu2_ex3_step1.sc2.


Fitting PL spectra

 Top Previous

We can now try to fit the PL model to the measured spectrum. In the PL spectrum window, use the Import command to load the measured PL spectrum from the file tu2_ex3_pl.xy. Use the xy-format and make sure that the spectral unit of the imported data is nm as shown in the following screenshot:

Use the Graphics|Edit plot parameters command and set a range of 0 ... 6000 with steps of 1000 for the y-axis. Then press Update and see the following graph:

Obviously, the agreement of model and measurement is not satisfying yet. This will change soon.

In order to fit the PL spectrum only, go back to the main window of SCOUT and open the list of spectra with the menu command Objects|Spectra. In the spectra list, set the weight of the reflectance spectrum to 0 and keep the weight of the PL spectrum to be 1:

With this settings only the PL spectrum is used to fit parameters.

Again, go back to the main window of SCOUT and open with Objects|Fit parameters the list of fit parameters. Use the '- All' command to delete all fit parameters (which are left over from the reflectance spectrum fit). Then press '+' to select new fit parameters. In the list of possible fit parameters, go down to the spectra and select the first four parameters of the PL spectrum object (hold the Ctrl-key pressed down to select/de-select individual items in the list):

These are the parameters of the Kim oscillator that 'makes' the peak in the internal efficiency.

You are almost there. Go back to the main window and press the Start button to start the automatic fit. After a while the simulated PL spectrum approaches the measured one:

Note that the 'shoulder' around 620 nm is reproduced in the simulated spectrum - without adding an additional electronic transition. Open the internal efficiency window with the button labeled 'Eff.' and verify that it still contains a single broad peak:

The fit can be improved a little if the thickness of the porous silicon layer is fitted also. The PL spectrum has been recorded at a slightly different position as the reflectance spectrum. Hence the thickness in both cases may differ a little due to lateral sample inhomogeneities. Add the layer thickness to the fit parameters and press Start again to do the optimization of the model. The initial thickness of 1125 nm increases to 1128 nm which is a small difference only.

You can now do the following nice educational exercise: Open the PL spectrum and the internal efficiency window and arrange them on the screen such that both can be watched. Then create sliders (see the section about fit parameters in the SCOUT manual) for the layer thickness and the resonance frequency of the Kim oscillator, i.e. the spectral position of the internal efficiency peak. Move both sliders and investigate the influence of the peak.

The following graph (obtained with the 'parameter variation' feature of SCOUT) shows results for a thickness variation:

This once more stresses how important spectrum simulation can be for correct PL interpretation.

The final SCOUT configuration can be found in tu2_ex3_step2.sc2.